<?php // dns.php: chok(tue 9 jul 2002)


// generate report on disparities between DNS file data
// and actual scanned data in Ecescan database


require_once('handle_vars.php');
vars_save();


require_once('draw.php');

/*  CGI var:

	dns_ip_regex: regex for the IP addresses to be displayed
*/


$headers = array('IP', 'Hostname', 'Disagreements');

?>



<html>

<head>

<?
$title = "DNS Comparison";
if($form_submitted):
	$s = strcmp($dns_ip_regex,'.*')? "'$dns_ip_regex'" : 'All Subnets';
	$title .= " for $s";
endif;
?>

<title><?=$title;?></title>
<link type="text/css" rel="stylesheet" href="style.css">
</head>

<body>






<?php

draw_title($title, 1, // 1 for additional stuff
	'home.php', 'Back to Home Page');


flush();

?>


<br>


<table width=100%>
<tr>
	<td width=30 nowrap>&nbsp;</td>

	<?php if(! $form_submitted): ?>

	<td nowrap align=center valign=center height=115 width=317
		bgcolor=#fafaff style="border:solid 1px #ddddd;">
		Please choose a subnet to display:
	</td>
	<td width=7 nowrap>&nbsp;</td>
	<td align=left valign=center>
		<img src="images/tinybluebullet.gif">
	</td>

	<?php endif; ?>


	<td align=right>
		<form name=dns_form action="dns.php" method="post">
		<input type=hidden name=form_submitted value=1>

		<table cellpadding=0 cellspacing=0>
		<tr>
			<td align=right>
		        <b>Subnet:</b>&nbsp;&nbsp;
		        <select class=textbox name=dns_ip_regex size=1>
				<option value=".*">All subnets

		        <?php
		        // get list of all DNS subnets
		        require_once('dns_filenames.php');
		        $dns_subnets = array_keys($ip2file_map);

		        // set 1st subnet as default
		        if( strlen($dns_ip_regex)==0 )
		            $dns_ip_regex = '.*';

		        $not_oks = array();
		        foreach($dns_subnets as $s):
		        	$t = $s . '.*';
					print('<option ');
					if( strcmp($dns_ip_regex,$t)==0 ) print('selected ');
					print("value=\"$t\">$s");
		        endforeach;
		        ?>

		        </select>
			</td>
			<td nowrap>&nbsp;&nbsp;&nbsp;</td>
			<td align=left>
				<?=draw_button('type=submit value=Go style="font-size:8pt;"
					onClick="document.dns_form.submit(); return true;"');?>
			</td>
		</tr>
		</table>

		</form>
	</td>

	<!-- last column to take up space -->
	<td width=30 nowrap>&nbsp;</td>
</tr>

<?

if(! $form_submitted):
	print('</table><br>');

	draw_buttons('home.php', 'Back to Home Page');

	print('</body></html>');
	exit();
endif;

?>


<tr>
	<td width=30 nowrap>&nbsp;</td>
	<td>




<?php

// collect DNS data
require_once('dns_data.php');
list($ips_dns,$ips_ece) = dns_data_separate($dns_ip_regex);

?>






<?php


// used to draw whole tables
require_once('draw_data_table.php');

$bullet = '<img src="images/bullet.gif">';





// disagree based on DNS file
$count_disagree_dns = sizeof($ips_dns);
if( $count_disagree_dns == 0 ):
	print("$bullet <b>No data in disagreement based on DNS file</b>");
else:
	$s = $count_disagree_dns>1 ? 's' : '';
	print("$bullet <b><font color=#0000ff>$count_disagree_dns</font>
		IP$s in disagreement based on DNS file<br>");

	draw_data_table( $headers, $ips_dns );
endif;
print('<br><br>');




// disagree based on Ecescan data
$count_disagree_ece = sizeof($ips_ece);
if( $count_disagree_ece == 0 ):
	print("$bullet <b>No data in disagreement based on Ecescan data</b><br>");
else:
	$s = $count_disagree_ece>1 ? 's' : '';
	print("$bullet <b><font color=#0000ff>$count_disagree_ece</font>
		IP$s in disagreement based on Ecescan data<br>");

	draw_data_table( $headers, $ips_ece );
endif;
print('<br>');

?>


	</td>
</tr>
</table>








<?php

draw_buttons('home.php', 'Back to Home Page');

?>

</body>
</html>
